#!/bin/ruby -w

# USAGE: ruby hangul.rb > hangul.dfu

def printline(i)
  ihex = sprintf("%#0X", i).sub("0X", "")
  print "\\DeclareUnicodeCharacter{", ihex, \
  "}{\\UTFK{", ihex, "}}%\n"
end

print "  \\ProvidesFile{hangul.dfu}
   [2008/02/02 v0.00 Hangul symbol,UTF-8 support for inputenc \& UTF/OTF packages]\n"

for i in 0x3130 .. 0x318F; printline(i); end
for i in 0xAC00 .. 0xD7AF; printline(i); end
